program
var i : int;
begin
	println( "while" );
	i = 0;
	while i < 6 do
		println( i );
		i = i + 1;
	end
	i = 0;
	println( "do" );
	do
		println( i );
		i = i + 1;
	end
	while i < 6;
	println( "for" );
	for i = 0; i < 6; i = i + 1 do
		println( i );
	end
end.
